**[[続・質問箱/117]] [#jf6dc855]
#author("2018-03-11T12:35:34+09:00;2005-07-17T16:05:13+09:00","","")
**[[質問箱/2117]] [#jf6dc855]
|RIGHT:70|LEFT:410|c
|~カテゴリ||
|~サマリ|ページ編集認証ができない|
|~バージョン|1.4.3|
|~投稿者|[[こうすけ]]|
|~状態|完了|
|~投稿日|&new{2004-04-05 (MON) 09:09:27};|
***質問 [#i48ae5c5]
:|
~いつもお世話になっております。早速で申し訳ありませんが、1.4.3についてご質問します。
~早速、変更があったファイルのみダウンロードして、1.4.3へしましたが、ページ編集認証が、うまくできません。パスワードなど、通らないのです。
~編集認証対象パターンは
 $edit_auth_pages = array(
 '/.*/' => 'kosuke',
 );
のように、ページ全体に編集認証をしています。
~ちなみに、編集認証を無効にして、凍結を試すと、うまくできました。
私の設定上のミスでしょうか?
~PHPは、4.3.5です。ご教授、お願い致します。
***回答 [#l1b03b6f]
-[[こすうけ]] &new{2004-04-06 (TUE) 10:44:08};
~いつもお世話になっております。問題の解決が出来ましたので、ご報告します。
~pukiwiki.ini.phpにあるユーザ定義ですが、
 // ユーザ定義
 $auth_users = array(
 'foo' => 'foo_passwd',
 'bar' => 'bar_passwd',
 'hoge' => 'hoge_passwd',
 );
になっていますが、この時のpasswdを、MD5にしたものを使っていたため、認証が出来なかったようです。MD5にせず、そのままの形でのパスワードにしたところ、無事に認証されました。
~でも、1.4.2の時には、passwdを、MD5にしたものを使っていたのですが、ちゃんと認証されました。認証方法に変更があったのでしょうか?
~ちょっと不思議な感じがしましたので、ご報告をさせていただきました。本当にありがとうございました。

#comment

トップ   編集 差分 履歴 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.4+ © 2001-2022 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.041 sec.

OSDN